Eclipse Tau CDT System:

Installation:

1:  Be certain that the CDT or FDT plugins are installed and running properly in your eclipse installation.

2:  Copy the plugins folder in the taucdt directory to the location of your eclipse installation.  You may have to restart eclipse if it is running when this is done.

3:  In eclipse go to the Window menu, select Preferences and go to the TauCDT Preferences section.  Enter the location of the desired architecture directory in your tau installation in the Tau Arch Directory field.  Select a makefile either by choosing one from the dropdown menu or by selecting 'Specify Makefile Manually' from the menu and entering a TAU makefile in the field below.  Normally to generate auto-instrumented code the tau makefile selected should have been generated with the '-pdt' flag.  Other options may also be selected at this time.


Adding a TAU Configuration:

To add a TAU Build configuration to a Managed Make C, C++ or FDT Make project right click on the project and select Add Tau Configuration.  You will be presented with a list of existing configurations.  The configuration you select will be copied and modified to automatically apply TAU instrumentation to the resulting program.  A parenthetical statement indicating the TAU makefile type used with the new TAU build will be appended to the name of the configuration.  TAU Configurations generated in this way may be manipulated as standard Eclipse build configurations.


Running A TAU Instrumented Binary:

Once a program has been compiled with TAU instrumentation you may run it by right clicking on the resulting binary and selecting TAU Run.  The program will run and, by default, the profile and/or trace files will be placed in a timestamped directory, inside a directory indicating the name of the file that was run, in the TAU_Output directory in the home directory of the Java project.  Note that you may also run a TAU instrumented binary using Eclipse's standard run system, but any trace or profile output will be placed directly in the project's home directory.  In either case the resulting run configuration may be manipulated as standard Eclipse run configurations.

Options:

The following options are accessible from the Window, Preferences TAUCDT Preferences menu.

TAU Options:  Here you may specify any of the following options for use with the automatic TAU instrumentation and compilation.

  -optVerbose                   Turn on verbose debugging message
  -optPdtDir=""                 PDT architecture directory. Typically $(PDTDIR)/$(PDTARCHDIR)
  -optPdtF95Opts=""             Options for Fortran parser in PDT (f95parse)
  -optPdtF95Reset=""            Reset options to the Fortran parser to the given list
  -optPdtCOpts=""               Options for C parser in PDT (cparse). Typically $(TAU_MPI_INCLUDE) $(TAU_INCLUDE) $(TAU_DEFS)
  -optPdtCReset=""              Reset options to the C parser to the given list
  -optPdtCxxOpts=""             Options for C++ parser in PDT (cxxparse). Typically $(TAU_MPI_INCLUDE) $(TAU_INCLUDE) $(TAU_DEFS)
  -optPdtCReset=""              Reset options to the C++ parser to the given list
  -optPdtF90Parser=""           Specify a different Fortran parser. For e.g., f90parse instead of f95parse
  -optPdtUser=""                Optional arguments for parsing source code
  -optTauInstr=""               Specify location of tau_instrumentor. Typically $(TAUROOT)/$(CONFIG_ARCH)/bin/tau_instrumentor
  -optTauSelectFile=""          Specify selective instrumentation file for tau_instrumentor
  -optPDBFile=""                Specify PDB file for tau_instrumentor. Skips parsing stage.
  -optTau=""                    Specify options for tau_instrumentor
  -optCompile=""                Options passed to the compiler. Typically $(TAU_MPI_INCLUDE) $(TAU_INCLUDE) $(TAU_DEFS)
  -optReset=""                  Reset options to the compiler to the given list
  -optLinking=""                Options passed to the linker. Typically $(TAU_MPI_FLIBS) $(TAU_LIBS) $(TAU_CXXLIBS)
  -optLinkReset=""              Reset options to the linker to the given list
  -optTauCC="<cc>"              Specifies the C compiler used by TAU
  -optOpariTool="<path/opari>"  Specifies the location of the Opari tool
  -optOpariDir="<path>"         Specifies the location of the Opari directory
  -optOpariOpts=""              Specifies optional arguments to the Opari tool
  -optOpariReset=""             Resets options passed to the Opari tool
  -optNoMpi                     Removes -l*mpi* libraries during linking (default)
  -optMpi                       Does not remove -l*mpi* libraries during linking
  -optKeepFiles                 Does not remove intermediate .pdb and .inst.* files

Use Alternative TAU Output Directory:  Causes the TAU_Output directory to be placed in the location specified in the associated field.  The internal directory structure of the TAU_Output directory remains unchanged.

Automatically run ParaProf on profile output:  Causes the TAU profile viewer, paraprof, to run on the output of profile and call-path analysis output as soon as the trace files have been produced.
